Upgrades to ECP platform where you submit courses for review

Version 1

    Exemplary Course Program Community members ~

     

    We use a 3rd party platform for you to submit your courses for review, called WizeHive. They've been in the process of upgrading their systems over the past few months for security reasons - that's a great thing! This upgrade involves phasing out support for older versions of an encryption protocol called TLS, used by web browsers and other systems to make secure connections over the web, and upgrading to a newer version TLS 1.2 which has improved security.

     

    What does this mean for you?

     

    If you are using a web browser released within the last 3 - 4 years, your connections to WizeHive are already using the newer protocol. There's nothing you need to do :-)

     

    If you are not using an updated browser, when you try to access WizeHive your browser will provide an error message that says it cannot connect to the server, and will need to switch to a more modern browser.

     

    Please see the list of browsers with up-to-date TLS support below, and ensure your browser is updated.

     

    If you have any questions regarding your browser status, please contact your institution's IT Department.

     

    Thank you!

    Debbora